Audio Lab V1.1D

Copyright (C) 1994 Hamish Hubbard
All Rights reserved


Legalese: This version of Audio Lab may be freely distributed, but no 
responsibility will be accepted by the author for any damage or loss caused 
by the use of this program. These terms of use for this program apply only 
to this version of Audio Lab and may or may not apply to any other version. 
The right to change this license in the future is reserved.

Please see the What's New section at the end of this document for 
information on the latest features and fixes.

Description: Audio Lab is a waveform editing program for Windows 3.1 that is 
able to edit samples in Microsoft .WAV RIFF WaveAudio format, as well as 
Creative Labs (SoundBlaster) .VOC files. A number of special effects (such 
as echo, reverse, and invert), and utilities (Max Volume, Set Volume) are 
included. The Multiple Document Interface is used to make the program easy 
to use and to allow mixing of various source samples into one master, for 
example. All 8-bit samples are converted into 16-bit for processing, to 
minimise the effects of rounding errors on the background noise in the 
sample. This program also features a real-time spectrum analyser based on 
the Fast Fourier Transform. A 386DX/40 or better is recommended for this 
feature.

Audio Lab was written using Borland C++ , donated by Borland (N.Z.) Ltd. for 
this purpose. It won the Under-18 division of the 1993 New Zealand Software 
Awards. 


Requirements: Windows 3.1/NT/Win-OS/2/WABI
		  800k free disk space.
		  VGA or better display.
		  386SX/16 CPU or better.               
			

(Optional but Recommended) : A sound card and Windows driver  
			     386 Enhanced Mode (for editing waveforms 
			     > 1MB in size).
			    
Features: Audio Lab uses many of the facilities available in Windows 3.1:
	Drag-and-drop .WAV files from the File Manager
	Common Dialog boxes (for File Open, Save and Save As)
	Borland Windows Custom Controls used in dialog boxes
	Full support for all Windows sound drivers including PC Speaker, 
	printer port.
	Individiual (private) .INI file
	Toolbar making access to commonly used functions easier
	Status Bar which gives interactive help on all menu options
	Wave Window above the status bar -- a fully zoomed-out view of the 
	sample currently being edited.


Using Audio Lab: Mostly, the user interface is fairly standard, but if you 
feel that any part of it is too obscure, please let me know. Those who have 
used Creative WaveStudio may notice the familiar appearance, this is just to 
prevent Not-Invented-Here syndrome from taking over. A couple of interesting 
ideas featured in GoldWave were used as well. 

Spectrum Analyser: The spectrum analyser is not based on the same spectrum 
divisions as defined by the ISO (which are found on all stereos), but 
instead on the frequency co-efficients outputted by the Fast Fourier 
Transform. (If you don't like it, click the 'Off' Radio Button). The order 
is still the same (low to high frequency) but each bar represents the next 
highest harmonic of (sampling rate / 64), up to half the sampling rate for 
the right-most bar. This is the reason that the spectrum looks the same even 
when the sampling rate is changed. The right-most (dark red) bar represents 
total volume.

PC Speaker/Disney Sound Source/Printer port sound devices: These drivers 
limits the operation of Audio Lab and other programs because of the way they 
monopolise system resources when playing. This means that the spectrum 
analyser and oscilloscope will not function when using one of these drivers. 

Marking blocks: To mark a block, click and drag on either the Wave Window 
(bottom of the screen) or the file window that contains the samples you want 
to mark.

Effects: The ring modulator will probably be familiar to some synth users, 
someone please tell me if it is working properly. It is designed to be used 
with relatively pure tones (ie sine waves). The Max Volume command may 
produce 'disappointing' results when a sound is amplified, because sounds 
recorded at a fairly low level have the background noise amplified along 
with them. Use the Noise Gate to get rid of low-level noise before using Max 
Volume, unless your sample is really quiet. The noise gate gets rid of 
background noise (and the rest of the signal) below a certain volume level. 
If used correctly it can reduce background noise between words when someone 
is talking, drumbeats. etc.

Note that if you try and use Set Volume to increase the volume too much, the 
sample values will become too large and will have to be 'clipped' to a range 
of -128 to +127. The result of this is distortion, the digital equivalent of 
turning your stereo up too loud. (Except that you won't melt any transistors 
this way). Try and keep the volume as high as possible without clipping 
while you are applying effects in order to minimise noise introduced by 
inevitable rounding errors in the integer mathematics. (All waveforms, even 
8 bit, are treated as 16 bit to minimize rounding errors, etc).

There are several different effects that you can produce with the Echo 
command. Delays of 1-20 milliseconds will give 'Chorus' effects, making 
music sound like it is being played on twice as many instruments (sort of, 
it isn't that great, I'll do a proper Chorus effect later). Repeatedly using 
a 20 msec delay on a speech sample will make the voice sound 'robotized'. 
Several echoes in the 20-1000 msec range will produce different kinds of 
reverb, some of which turn out very well. The human ear generally regards 
delays of greater than 20 msec as distinct echoes. Technically, the sample 
length should be increased each time there is an echo, but it is not 
possible to tell that Audio Lab is cheating by leaving samples the same 
length. If you don't like this, use the Tools | Add Samples command to add 
some empty samples to the end of the waveform.

Paste RingMod: This works like the ring modulator, except that it multiplies 
each sample by the sample that is being pasted in. This gives a variety of 
'robotized', 'science fiction' effects. It works best if you use a sine wave 
or something similar (eg a sample of some whistling), and it needs each 
waveform to be loud, otherwise the resulting waveform will probably be 
quiet.

GP Faults: If Audio Lab causes a GP Fault, Windows will may become unstable 
because of it. In the event of a GP Fault, your data could be at risk if any 
of Windows' internal data structures have been damaged. Save all of your 
work into new files and restart Windows before doing anything important. 
Please report what you did to cause a GP Fault, Dr. Watson logs are 
appreciated too.
	
Raw Files: If you load a file that does not have a .WAV or .VOC extension it 
will be assumed to be 'unsigned, 8 bit, 22.05 kHz' data. To change the sign 
(in case the waveform sounds terribly distorted) use Tools | Change Sign. To 
change the sampling rate use Tools | Sampling Rate...

Recording/Playback: Results may be disappointing, especially on Soundblaster 
V1.0 cards. On cards like the SB V1.0, there is a noticeable 'bubble' type 
sound that occurs regularly throughout anything that is recorded. This is 
unavoidable in any Windows multimedia program due to interrupt latency 
during DMA double buffering. (So now you know). To a lesser extent this 
applies to playback as well -- the effect is most noticeable when playing 
'pure' tones such as sine waves and there is nothing that can be done about 
it unless an improved sound driver is used. Newer sound cards suffer less 
(or not at all) from this problem.   

Bug reports/comments/questions:

Internet e-mail: hamish@kcbbs.gen.nz
Fido: Look up Powerlink BBS in the BBS list, Netmail Hamish Hubbard
BBS: Enigma (+64-9-480-0951)
	 PowerLink (+64-9-525-5492)

Any feedback is greatly appreciated!. 
Watch Powerlink or the comp.sys.ibm.pc.soundcard newsgroup for updates. 

