Scream Tracker 3.0 Beta

                         ---- USER'S MANUAL ----
                        
                         (C) 1994  Kalle Kaivola

                            Edge / Unexpected


Contents:

        1.      Introduction
        1.1     What is Scream Tracker 3.0?
        1.2     Hardware Requirements
        1.3     Distributing ST 3.0

        2.      Brief Guide to Scream Tracker
        2.1     Samples
        2.2     Patterns
        2.3     Orders
        2.4     Effects
        2.5     Setting up Scream Tracker

        3.      Scream Tracker Interface
        3.1     F1 - Order list and Global Variables
        3.1.1   Order list
        3.1.2   Channels
        3.1.3   Global Variables
        3.2     F2 - Edit Pattern
        3.2.1   The Edit Display
        3.2.2   Entering Notes
        3.2.3   Pattern Edit Commands
        3.2.4   Area Commands
        3.3     F3 - Instrument List
        3.4     F4 - Instrument Library
        3.5     F5 - Info Screen
        3.6     Global Commands

        4.      Miscellaneous
        4.1     Adlib FM-songs
        4.2     Closing Words by Sami Tammilehto


Chapter 1. Introduction

          A word to all the people in the demoscene. After a long, long
        wait, PSI's famous Scream Tracker 3 Beta is out for everyone to
        use. As the name implies, this is the Beta version of Scream
        Tracker 3. Although there never will be a ST3, I will use the
        term Scream Tracker 3 when referring to this beta throughout
        this text, however. The reason ST3 will never be finished is that
        PSI doesn't have time for such projects. In my opinion, though,
        this beta should be more than enough for any demo musician.
          You should also note that most probably no new versions of this
        tracker will be released. If you find a bug, then figure out a way
        to avoid it. This tracker has been tested in use, but bugs still
        exist. If you can't find any, consider yourself lucky :) If you do,
        however, find a serious bug, or have something extremely important to
        inform the author about, you should do it via my e-mail account,
        edge@pcuf.fi. I will not have time to answer the mail, but every
        message will be read and the most important ones relayed to the
        author. Do NOT use the Future Crew e-mail addresses for ANY questions
        regarding Scream Tracker! Gore and Jake have their hands full as it
        is and discussing a music program is the last thing they need.
          This document is not a complete beginner's guide to the Scream
        Tracker program, nor is it a text on making better music. It does
        not tell you how to program an .S3M player (the technical specs for
        that are in TECH.DOC) and it most certainly contains no code. It is
        made for those who have have worked with similar programs before
        and know some music theory. If you are not such a person, I suggest
        you don't try to blow your brains by trying to memorize this text and
        the things discussed herein. You would be better off printing the
        document, starting the program and reading the docs when something
        you don't understand comes up. And also, don't blame me if this
        document contains errors, I have only used this tracker for some
        weeks, ever since PSI asked me to document it. So if something
        seems quite strange, it might be some error on my part. Particularly
        the end was made in quite a hurry, but the text has been proofread
        several times.
          For those of you who have had a lot of experience with trackers
        before and think that the tracker's quickhelp is enough for you,
        have a look at the Miscellaneous chapter. It contains a few useful
        hints about using the program you might not find otherwise.
 
1.1 What is Scream Tracker 3.0?
                               
          ST is a program for composing "modules", songs containing digital
        and FM instruments (samples) and note data (patterns). Most of you
        should be familiar with these terms, so they will not be described
        in depth here. This documentation is a starting guide for a person
        who has had previous experience with trackers.
          Scream Tracker is able to handle a maximum of 16 digital channels
        and 9 FM channels. Supported fileformats are normal .MOD's,
        Fasttracker 6 and 8-channel .MOD's, Oktalyzer .OKT's, Scream Tracker
        2.* .STMs, (Multitracker .MTMs), and naturally Scream Tracker 3.0
        .S3Ms. ST3 only saves in .S3M and .MOD format, though.

1.2 Hardware Requirements

          In order to run Scream Tracker 3.0, you need at least a 386SX,
        a VGA display and a soundcard. The supported soundcards are Sound
        Blaster, Sound Blaster Pro, Gravis Ultrasound and all cards that
        are 100% compatible with any of the above. The FM-options only work
        on SB and SB-Pro compatible cards, since GUS doesn't have an FM
        chip. There is no mouse support, since it wouldn't really be
        convenient in this style of tracker.
          You should also have some EMS, since Scream Tracker loads the
        sampledata into EMS (even with a GUS). The patterndata is stored in
        conventional (below 640k) memory. If you're running low on memory,
        the FreeMem display in the main screen will turn red. It would be a
        very good idea to save your work, since ST tends to turn unstable in
        low memory situations. When I have worked with Scream Tracker without
        EMS, loading a big module has often resulted in a crash warning and
        the computer hanging.

1.3 Distributing ST 3.0

          The Scream Tracker is distributed as freeware, and this means that
        you can give it to your friends and distribute it in any way as long
        as no money is involved. The basic idea is that you have the right
        to use the program but not sell it. As an exception to selling, a
        right is given to pd/shareware companies to include this program
        in their collections as long as no special pricing policy is used
        with the Scream Tracker.
          There is no warranty. Since you paid nothing for this software
        it's only fair that you use it at your own risk. The author can not
        guarantee that the software always works as expected. Any damages
        you caused (to yourself or to others) by using the program are
        entirely your own responsibility. Luckily the software seems quite
        stable if you really don't try to do something weird :-)

2. Brief Guide to Scream Tracker

          This chapter describes shortly the terms that are necessary to
        know when using Scream Tracker 3. The effect list is also included.

2.1 Samples

          Module music consists of instruments, called samples. They are
        raw 8-bit, digital data fed back at varying frequencies and volumes
        through your soundcard to form music. For soundcards that support
        FM-synthesis, there are synthesized instruments, but those are
        described in more detail in section 4.1.
          Samples vary from in length from 1 to 65536 bytes. However,
        Scream Tracker can only handle samples up to 64000 bytes, so some
        sampledata might be lost if you load a module with huge samples.
        ST will automatically cut samples that are too big when loaded.
        Some samples also have loops, which make the sample repeat a certain
        part of the sample. There are two values to a loop, the loop begin
        and the loop end. The begin value is where the sample should be
        started again once it reaches the loop end value. Every sample also
        has a default volume and pitch. The default volume is the volume
        that is used when no other volume is given in the pattern. The
        default pitch is the frequency the sample should be played at C-4.
          The samples are accessed by going into the instrument list by
        pressing F3.

2.2 Patterns

          Modules also have note data, called patterns. Patterns are where
        the music actually comes from. Every pattern consists of a varying
        number of 32 columns and 64 horizontal rows. Each position then has
        five values for the note - pitch, instrument number, volume, effect
        and infobyte. Here is an example note:

                        C#4 04 25 H81
        
          This would mean a C sharp in the fourth octave with the fourth
        instrument at volume 25, vibrating with a speed of 8 and frequency
        of 1. You will find a list of the effects in section 2.4 if you
        aren't familiar with them.
          You can also omit some parts of the note like this:

                        C#4 04 .. ...
                        ... 04 .. ...
                        ... 05 .. ...

          This would play a C sharp first two times with instrument 4 and
        then once with instrument 5.

                        C-5 04 25 ...
                        D#5 .. .. ...
                        E-5 .. .. ...
                        G-5 .. .. ...

          This plays C, D sharp, E, and G all with instrument 4 and volume 25.
        However, if there had been an instrument number in one of the notes
        other than the C-5, it would have been played with the default
        volume.

                        C-5 04 .. H81
                        ... .. .. H00
                        ... .. .. H00
                        ... .. .. H00

          This would continue to vibrate the C-5 note at 81. The other commands
        that use the previous infobyte value in the effect in case of a 00 are
        D, E, F, G, I, J, K, L, and Q.

2.3 Orders

          The order the individual patterns are played in is stored in
        the order list. While the maximum number of patterns is 100, you
        can have a longer song by repeating patterns. Basically the order
        list is just 255 pattern numbers that instruct how the song is to
        be played.

2.4 Effects

          An effect is applied to a note to change how it or the whole pattern
        is played. If you are using a tracker for the first time, I suggest you
        just skip this chapter and come back when you have learned the basics.
        But for those with previous experience, Scream Tracker 3 supports
        nearly all Protracker effects and a few effects of its own. If you want
        to see how these commands can be used in a song, check the example song
        64MANIA.S3M, it contains most of these effects. It is no masterpiece of
        melody, it is made just to acquaint a beginner with the different
        effects and how they can change the sound of a song completely.
          Here is a list of all the effects and what they do (a shortened list
        can be found in the ST3 internal quickhelp system by pressing F10 in
        the pattern editor):

        Axx Set speed to xx (the default is 06)

                  This command is used for setting the song's speed. The
                speed varies from 1 (fastest) to FF (slowest). With most
                standard trackers, however, the slowest possible speed is
                1F, since speed and tempo are in the same command.

        Bxx Jump to order xx (hexadecimal)

                  This command jumps to the order number specified in the
                infobyte (remember to give the order number is hexadecimal
                format). The row this command is on is still played, but the
                next row played will be the first row of the pattern at order
                xx.

        Cxx Break pattern to row xx (decimal)

                  This command breaks the pattern after playing the row it's
                on. It will skip to the next pattern in order and automatically
                jump to row xx. (Decimal)

        D0y     Volume slide down by y

                  This will slide the volume down with the value of y. The
                amount of the slide will be (speed-1) * y. Thus a command
                of D04 at speed 8 will drop the volume by 28.

        Dx0     Volume slide up by x

                  This will slide the volume up with the value of x. The amount
                of the slide is the same as with the volume slide down command,
                speed times x. The volume can't be higher than 64, though.

        DFy     Fine volume down by y

                  Fine volume differs from volume slide in that it doesn't
                slide the volume smoothly, but instead changes the volume in
                the beginning of the row. It has lost some usefulness in ST3,
                because there is a separate volume column, but it still has
                its uses. Fine volume is also independent of the speed, it
                always changes the volume by the infobyte y. If y is 0, the
                command will be treated as a volume slide up with a value of
                f (15). If a DFF command is specified, the volume will be
                slid up.

        DxF     Fine volume up by x

                  Same as fine volume down, but raises the volume instead of
                lowering it. Volumes going over 64 are changed into 64.

        Exx     Slide down by xx

                  This command will slide the pitch of the note down as
                specified by xx. The range is 00..DF, since values above that
                are cosidered fine slides.

        EFx     Fine slide down by x

                  Fine slide, like fine volume, is unlike normal slide in
                that it slides to the desired pitch in the beginning of the
                row, not smoothly. It is also independent of the speed, it
                always slides the same amount, as dictated by x.

        EEx     Extra fine slide down by x

                  Acts list a fine slide, but is four times more accurate.

        Fxx     Slide up by xx

                  This command will slide the pitch of the note up as
                specified by xx. The range is 00..DF, since values above that
                are cosidered fine slides.

        FFx     Fine slide up by x

                  Fine slide, like fine volume, is unlike normal slide in
                that it slides to the desired pitch in the beginning of the
                row, not smoothly. It is also independent of the speed, it
                always slides the same amount, as dictated by x.

        FEx     Extra fine slide up by x

                  Acts list a fine slide, but is four times more accurate.

        Gxx     Tone portamento with speed xx

                  This command will start changing the current pitch to match
                the note given with this command. Subsequent G-commands will
                continue sliding the pitch until the note is reached at which
                time the portamento will be stopped.

        Hxy     Vibrato with speed x and depth y

                  Vibrato vibrates the note by changing the pitch with speed
                x and depth y.

        Ixy     Tremor with ontime x and offtime y

                  Tremor turns the note on for x frames and off for y frames.
                It is not a ProTracker command, so all tremor commands will
                be discarded when the song is saved as a .MOD file.

        Jxy     Arpeggio with halfnote additions of x and y

                  Arpeggio changes the playing frequency between the note,
                the note + x halfnotes and the note + y halfnotes 50 times
                per second. It is best to use it with clear or tight-looped
                (chip) instruments. Old users of the Commodore 64 remember
                this effect which was used to make chords. A C minor chord,
                for example, would be made with J37, which would play C, D#
                and G.

        Kxy     Dual command: H00 and Dxy

                  This is the old vibrato + volumeslide from the Protracker
                command set. If the volumeslide part is 0, the command acts
                like the old Amiga retrig. It continues the vibrato begun before
                the command and adds a volumeslide. You cannot, however, use
                fine volume sliding. An example of usage:

                        C-5 04 28 H82   Start the vibrato
                        ... .. .. K02   Continue vibrato while lowering volume
                        ... .. .. H83   Deepen the vibrato
                        ... .. .. K01   Slide the volume down with the new
                                        vibrato depth value

                        At speed 6, the volume would end up being 13.

        Lxy     Dual command: G00 and Dxy

                  This is the old toneport + volumeslide from the Protracker
                command set. You must first use a G command and then put the
                L command. It will continue the toneport and slide the volume
                like a normal volumeslide with value xy. You cannot, however,
                use fine volume sliding.

        Oxy     Set sample offset

                  This command starts playing the sample at offset 256 times
                xy. A command of O10 would start playing the sample at
                position 256 * 16 = 4096. If the sample offset is used in
                a looped sample and the offset given exceeds the loop end
                value, the loop is taken into consideration and the offset
                will be calculated as if the sample had looped. In the
                example song pattern 3, the sample offset command is used
                to create a hihat-type sound by playing only the end part
                of the snare sample.

        Qxy     Retrig (+volumeslide) note

                  The retrig command triggers the sample many times in one
                row. The y value tells how many frames there are between the
                retrigs. There are as many frames in one as the speed is. At
                speed 6 a retrig of Q03 would trigger the note two times. The
                x value tells if there should be a volumeslide between the
                retrigs. The amount the volume will change is shown in the
                following table:

                        0: 0    (No volumeslide)
                        1: -1
                        2: -2
                        3: -4
                        4: -8
                        5: -16
                        6: 2/3 times the original volume
                        7: 1/2 times the original volume
                        8: ?
                        9: +1
                        A: +2
                        B: +4
                        C: +8
                        D: +16
                        E: 3/2 times the original volume
                        F: 2 times the original volume

                Example of use:

                        (speed 8)
                        C-5 04 64 Q72   -Four retrigs, their volumes being
                                         64, 32, 16 and 8
                        (speed 6)
                        C-5 04 12 QC2   -Three retrigs with volumes 12, 20
                                         and 28

        Rxy     Tremolo with speed x and depth y

                  Tremolo acts like vibrato, but changing the volume of the
                note instead of the pitch. If the volume is at 64, all volumes
                going over 64 will be clipped at 64, so you should use lower
                volumes.

        S0x     Set filter

                  An Amiga hardware function, not implemented in Scream
                Tracker.

        S1x     Set glissando control

                  Makes toneportamentos slide a halfnote at a time. Not
                implemented in Scream Tracker.

        S2x     Set finetune (=C4Spd)

                  The set finetune command is used only to retain Protracker
                compatibility. Because Scream Tracker has a more accurate way
                of setting the desired instrument frequency, using this
                command is pretty pointless. However, if you want to dabble
                around with it, these are the C4Spd values the command uses:

                        0       - 7895 Hz
                        1       - 7941 Hz
                        2       - 7985 Hz
                        3       - 8046 Hz
                        4       - 8107 Hz
                        5       - 8169 Hz
                        6       - 8232 Hz
                        7       - 8280 Hz
                        8       - 8363 Hz (No finetune)
                        9       - 8413 Hz
                        A       - 8463 Hz
                        B       - 8529 Hz
                        C       - 8581 Hz
                        D       - 8651 Hz
                        E       - 8723 Hz
                        F       - 8757 Hz

        S3x     Set vibrato waveform to x

                  Sets the waveform of the vibrato command. The different
                options are 0 - the normal sine waveform, 1 - ramp down,
                2 - square waveform, and 3 - random.

        S4x     Set tremolo waveform to x

                  Acts like the set vibrato waveform command, but affecting
                the waveform used for the tremolo command.

        S8x     Amiga command E8x

                  This command has no function in Scream Tracker 3.0, but some
                PC players use it for panning. If saved as a .MOD, this effect
                is saved as a normal E8x command with the right infobyte.

        SAx     Stereo control

                  This is an old command no longer implemented in Scream
                Tracker. The only .S3M file released that would support it
                is the soundtrack from Panic by Future Crew.

        SBx     Pattern loop.

                  Pattern loop is used for looping inside the pattern. First,
                you must use an SB0 command to set the loop point where the
                loop is to begin. Then you must use SBx to return to the loop
                point x times. In the example song in pattern 5, you can see
                how this command can be used to save pattern space. Also, you
                should not try looping back to a loop point in another
                pattern!

        SCx     Notecut in x frames

                  The note played will be cut in x number of frames. At speed
                8, for example, an SC4 command would cut the note at exactly
                halfway through the row.

        SDx     Notedelay for x frames

                  This delays the playing of the note until x frames into the
                row. Until the new note comes out, the previous one is played.

        SEx     Patterndelay for x notes

                  This repeats the current row x times without triggering the
                notes again but applying the effects.

        SFx     Funkrepeat with speed x

                  Not implemented in Scream Tracker 3.

        Txx     Tempo = xx (hex)

                  Changes the tempo (BPM's) to xx. The valid values are 20
                to FF. The default is 7D hex, which is 125 decimal.

        Vxx     Set global volume

                  Changes the global volume at which the whole song is played.
                Accepted values are 0 to 40.

          The Protracker effects left out, thus, are Glissando control, Set
        filter and Funkrepeat. Most songs play fine without them, though.

2.5     Setting up Scream Tracker

          The first thing you most likely want to do is set up ST. Pressing
        Shift + F9 will activate the setup screen. The first thing on the left
        is the screen color selection. You can define 13 of the 16 colors on
        the palette by changing the values there. The numbers are the red,
        green and blue values of each color. They range between 0 and 63. You
        can use the + and - keys to adjust the brightness of the color. D will
        restore the default palette.
          The two directories are the default directories for your samples and
        songs. The trailing backslash is not necessary.
          The chords are the those you use when editing the patterns in the
        chord mode. They can also be changed, but a set of common chords is
        included in the default setup. The chord system will be described
        in section 3.2, Editing Patterns.
          The soundcard configuration is handled by autodetection. If ST
        fails to detect your soundcard correctly, you can enter the settings
        from the commandline. Valid switches are:

                -s1     Sound Blaster soundcard
                -s2     Gravis Ultrasound soundcard
                -s5     Sound Blaster soundcard
                -m###   Set mixing speed to ### (Does not affect Gravis)
                -a###   Soundcard address
                -i###   Soundcard interrupt (only required for SB)
                -c###   Soundcard DMA channel (only required for SB)
                -b012   Force 512/1024/2048 byte buffer for SB
                -?      List of all switches

3. Scream Tracker 3 Interface

          As you may notice when starting the program (I assume you started
        the program before reading the documentation as most of us do), the
        external appearance of ST has changed since version 2. Many of the
        old commands are still under the same keys, though, so those familiar
        with the old Scream Tracker (or Composer 669 and Multitracker for
        that matter) will find it easy to get used to the new interface.
        Those who have been using only Protracker or its clones have more
        to learn, though. The different screens and their commands are
        described in this chapter.

3.1  F1 - Order List and Variables

3.1.1 Order list

          This is where the order list is edited. On the left, there is a
        list of the orders and the patterns that go with them. They can be
        edited with the number keys. Pressing G changes the current pattern
        to the one under the cursor jumps to edit pattern mode.

3.1.2 Channels

          The 32 possible channels are defined here. There are 8 digital
        channels on the left and 8 on the right (16 mono on SB). They are,
        respectively, L1 through L8 and R1 through R8. A (--) means the
        channel is not played. There are also 9 Ad-lib channels ranging
        from A1 to A9. They are mono and can only be used on soundcards
        with an FM chip (Sound Blaster and Sound Blaster Pro).

3.1.3 Global Variables

          From here you can set the following variables:

        Tempo           - Global tempo, the tempo at which the song is
                          played if no other tempo is specified. Defaults
                          to 7D.

        Speed           - Global speed, the speed at which the song is
                          played if no other speed is specified. Defaults
                          to 6. Can be changed with the brackets keys from
                          the edit pattern screen.

        Global Volume   - The global volume of the song, affecting all
                          channels. The range is 0 through 40.

        Master Volume   - This will affect the oversampling rate on SB cards,
                          on a GUS card this value is ignored. If a song
                          sounds bad on an SB, lowering the master volume
                          might help.

        Volume 0 opt.   - This option is also for Sound Blaster cards. It will
                          turn off notes that are left on 0 volume for a longer
                          time in order to save processing power. It is mainly
                          used in demos and such. On a GUS the processing time
                          saved is minimal.

        Force Amiga lim - Forces the old Amiga limits on the song. The main
                          restriction is that you can only use octaves 3-5
                          (former Amiga octaves 1-3). You can still enter
                          notes above and below these barriers but they will
                          be played as C-3 or B-5.

        Enable Stereo   - Enables stereo playback of the song on stereo cards.
                          Otherwise the song will be played mono regardless of
                          the channel allocations.

3.2 F2 - Edit Pattern

          The pattern edit screen is where you'll spend most of your composing
        time. Many commands are familiar from other trackers, but the keys
        might be different from what you are used to. The basic commands are
        still mostly under the same keys as in Scream Tracker 2. This chapter
        describes the keys in depth, but a quickhelp of the keys can be
        obtained from the tracker by pressing F10.

3.2.1 The Edit Display

This is what the pattern edit screen looks like:


                            Pattern Editor (F2)                              
      01: L1        02: R1        03: L2        04: R2        05: L3         
 00C-5 04 12 H81   .00   .00   .00   .00   
 01   .00   .00   .00   .00   .00   
 02   .00   .00   .00   .00   .00   
 03   .00   .00   .00   .00   .00   
 04   .00   .00   .00   .00   .00   
 05   .00   .00   .00   .00   .00   
 06   .00   .00   .00   .00   .00   
 07   .00   .00   .00   .00   .00   
 08   .00   .00   .00   .00   .00   
 09   .00   .00   .00   .00   .00   
 10   .00   .00   .00   .00   .00   
 11   .00   .00   .00   .00   .00   
 12   .00   .00   .00   .00   .00   
 13   .00   .00   .00   .00   .00   
 14   .00   .00   .00   .00   .00   
 15   .00   .00   .00   .00   .00   
 16   .00   .00   .00   .00   .00   
 17   .00   .00   .00   .00   .00   
 18   .00   .00   .00   .00   .00   
 19   .00   .00   .00   .00   .00   
 20   .00   .00   .00   .00   .00   
 21   .00   .00   .00   .00   .00   
 22   .00   .00   .00   .00   .00   
 23   .00   .00   .00   .00   .00   
 24   .00   .00   .00   .00   .00   
 25   .00   .00   .00   .00   .00   
 26   .00   .00   .00   .00   .00   
 27   .00   .00   .00   .00   .00   
 28   .00   .00   .00   .00   .00   
 29   .00   .00   .00   .00   .00   
 30   .00   .00   .00   .00   .00   
 31   .00   .00   .00   .00   .00   
       <-- The edit mask                                                



In a closeup, we can see what fields each channel is made out of:

         01: L1
    00C#5 04 12 H81
    01   .00
    02   .00
    03   .00
    ^  ^ ^ ^  ^  ^ ^
             
              Infobyte (00-FF, hexadecimal)
             Effect command (A-Z)
           Volume (0-64, decimal)
         Instrument (00-99, decimal)
        Octave (0-7, decimal)
       Note
     Row

3.2.2 Entering Notes

          For entering notes into the tracker, the keyboard is turned into
        a piano in the following way:

Actual note:       C# D#    F# G# A#    C# D#    F# G# A#    C# D#
                                      
                                      
                 SD  GHJ  23  567  90 
                          
                 Z X C V B N M Q W E R T Y U I O P
                
Actual note:      C  D  E  F  G  A  B  C  D  E  F  G  A  B  C  D  E

          The period (.) key is used for clearing a note.

          Pressing one of the above keys enters the desired note, but the
        following things must be taken into consideration:

        1. Baseoctave

          In the top right part of the screen, you will see the current
        baseoctave. It can be changed with the * and / keys, most easily
        accessed from the keypad. The number is the octave of the lower
        keyboard.

        2. Edit Mask

          The edit mask is shown in the bottom row of the screen just below
        the channel you are editing. It shows what entering a note will
        change on the current row. The small triangles indicate what is
        changed. The default is the note and the instrument. By pressing the
        comma (,) on the either the volume or effect row you can turn the
        respective column on so that a new note will include the last value
        used in these columns with the new note. Also, entering a period
        (.) will only delete the values in the columns indicated by the
        edit mask.

        3. Skip Value

          The skip value is how many rows the cursor will advance after
        entering the note. The default is one, but it can be changed with
        ALT-1 through ALT-8 which will change the skip value to the respective
        number.

        4. Chord Mode

          The chord mode enables you to enter chords by placing the notes
        of a chord on separate channels. It is activated by pressing one of
        the chord keys, which are ALT+Z through ALT+M (the lowest keyboard
        row). It is deactivated with the colon mark (:). When you press one
        of the chord keys, the appropriate chord name pops up in the chord
        field in the top right part of the screen. You should also see more
        cursors appearing (if you're using the default chordset). Typing a
        new note will now place a note in all the columns with a cursor. The
        pitch of the note will depend on what kind chord is being used. If
        you have a chord like this:

                Sus4    C       F       G

          Pressing E-5 will naturally place an E-5 in the first column, an
        A-5 in the next and a B-5 in the one after that. Since teaching music
        theory is not the main purpose of this document, I will not go into
        more detail, but those who know music basics should know how this
        works. You can edit the different chords in the Setup screen
        (Shift-F9).

        5. Default note playing

          Pressing SHIFT+Q through SHIFT+P (the upper keyboard row) will
        enter the respective (1-10) instrument with the current note. The
        current note is the one that was last played or one picked up by
        pressing ENTER on an already existing note. This command is useful
        for creating drumlines and such.

        6. Polychannel Mode

          By pressing ALT+N, you can invoke the polychannel mode. A small
        M will appear below the channel you are currently on and the channel
        is marked as a polychannel. You can toggle each channel as polychannel
        with ALT+N. In this mode, when you enter a note on polychannel, the
        cursor will skip to the next available polychannel, taking the skip
        value into consideration.

3.2.3 Pattern Edit Commands

          Since this document is only a clarification of the helps found in
        the tracker itself, the pattern edit commands are going to be listed
        in the same order as found in the tracker. Most of these commands are
        best experimented in the tracker, but if you can't figure them out,
        look here. And again, don't try memorizing them all in one try, there
        are quickhelps available through the tracker behind the F10 key.

        ,       Toggles the edit mask, described in section 3.2.2.

        < >       Changes the current instrument. Another way of changing the
                instrument is going into the instrument list with F3 and using
                the up and down arrow keys.

        / *     Changes the baseoctave. Described in section 3.2.2

        + -       Changes pattern. For quicker movement in the patterns, SHIFT +
                and SHIFT - jump four patterns instead of one. You should use
                the keypad.

        { }       Changes global speed. You can change the default playing speed
                with these. It can also be changed from F1 along with the
                default tempo. Provides a quick way to change the speed without
                messing up the pattern.

        .       Empties current field taking the edit mask into consideration.

        1         Adlib noteoff command. This is used for deactivating an Adlib
                voice. It is described better in section 4.1, Adlib FM-Songs.
                The command can also be used to stop a regular note.

        4         Plays current note under cursor. The cursor must be over the
                note column. Originally a debugging tool, but it can be used
                to play melodies step by step to point out mistakes etc.

        8         Plays current row under cursor. The cursor must be on top of
                the note column.

        ALT-1-8   Changes the skip value, described in section 3.2.2

        ALT-N     Toggle polychannel mode for channel. Described in section
                3.2.2

        CT-Home   Moves the cursor up one row regardless of the skip setting.

        CT-End    Moves the cursor down one row regardless of the skip setting.

        Home      The first time pressed, the cursor moves to the note part of
                the current channel. The second time it moves to the first row
                in the pattern. On the third press the cursor moves to the first
                channel.

        End       The first time pressed, the cursor moves to the infobyte part
                of the current channel. The second time it moves to the last row
                in the pattern. On the third press the cursor moves to the last
                defined channel.

        BKSPC     Goes back to last note, useful in polychannel mode.

        INS       Inserts a row in the current channel. In chord mode, a blank
                row is inserted in every channel with a cursor. SHIFT+INS inserts
                a blank row in every channel.

        DEL       Deletes the row under the cursor from the current channel. In
                chord mode, a row is deleted from every channel with a cursor.
                SHIFT+INS deletes a row from every channel.

        ENTER     Reads the default note, instrument, volume, effect and
                infobyte from the current row.

        CT-BKSPC  Undo. Restores the pattern in the undo buffer. Only the area
                commands automatically save the pattern in the undo buffer.

        CT-ENTER  Stores the pattern to the undo buffer. If you want to mess
                around with the pattern and the restore it, press CT-ENTER and
                after testing, press CT-BKSPC to restore the original pattern.
                Do not use area commands while testing, though, since they
                overwrite the undo buffer.

        ALT-T     Toggles current channel to be a stationary channel in the left
                part of the edit screen. You can toggle a maximum of four
                channels to stay in the left window. Comes in handy when making
                songs with many channels so you can have certain channels be
                visible at all times.

        ALT-R     Resets left window. This removes the stationary channels from
                the left window and returns to the normal one-window mode.

        S-QWER..  Default note playing, discussed in section 3.2.2

        S-ZXCV..  Sets chord mode, discussed in section 3.2.2

3.2.4 Area commands

          These commands are all associated with selecting and editing area of
        notes. When a new area is selected, the previous one is forgotten.

        ALT-D     Quickselects an area. When pressed the first time, it forms
                an area starting from the cursor and ending 16 rows down the
                channel. The next time pressed, the size of the area expands
                to 32 rows and on the third press to 64.

        ALT-B     Marks the beginning of an area.

        ALT-E     Marks the end of an area.

        ALT-L     Selects the whole channel as an area. When pressed a second
                time, the whole pattern is selected as the area.

        ALT-U     Unmarks area. When pressed twice, the clipboard is emptied.
                The only advantage of that is its freeing up memory.

        ALT-C     Copies area to clipboard (=memory). Stores the selected area
                in memory for later pasting or mixing.

        ALT-P     Pastes the area in the clipboard starting from the cursor.
                The exception to this is pasting an entire channel, which is
                always pasted on top of the old one, not from the cursor. If
                there are notes that go under the bottom of the screen, they
                are lost, so be careful where you paste.

        ALT-M     Mixes clipboard with the already existing notes. What it does
                is that it acts like a paste, but it doesn't touch existing
                notes. It is useful for making echoes, a fast way to do it is
                by first setting the skip level to 2 and writing the melody.
                Then copy the melody to an adjacent channel, lower its volume
                with ALT-J, insert it one row, and mix it with the original
                melody.

        ALT-H     Overwrites the clipboard without changing the volumes and
                effects already present in the pattern.

        ALT-Y     Swaps areas. Swaps the selected area with a same sized area
                starting from the cursor. Comes in handy if you want to convert
                your .S3M into a .MOD and want to change the pattern data to
                better suit the Amiga Left-Right-Right-Left panning method.

        ALT-Z     When pressed twice, erases the selected area.

        ALT-X     When pressed twice, deletes the effects and infobytes from the
                selected area.

        ALT-Q     Raises the pitch of all the notes in the selected area by a
                halfnote. If no area is selected, the note under the cursor is
                changed.

        ALT-A     Lowers the pitch of all the notes in the selected area by a
                halfnote. If no area is selected, the note under the cursor is
                changed.

        ALT-V     Changes all volumes in the selected area to the default
                volume.

        ALT-W     Changes all volumes in the notes in the selected area to
                the default volume. Leaves rows with only volumes alone.

        ALT-S     Changes all samples in the selected area to the default
                sample.

        ALT-I     Multiplies all the volume in the area by 3/2. Useful for
                creating echoes.

        ALT-J     Multiplies all the volume in the area by 2/3. Useful for
                creating echoes.

        ALT-F     Doubles area length. Inserts a blank row between all the
                existing rows in the area. If you have marked a too big area,
                notes will be lost if they go below the last row.

        ALT-G     Halves area length. Halves an area by removing every other
                row in the selected area and a same sized area following it.

        ALT-K     Slides volume in area. By filling the volume column in
                the first and last row of the marked area and pressing ALT-K,
                you can make a smooth volume slide from the beginning volume
                to the end volume. Especially useful for fade-ins and fade-outs.

3.3 F3 - Instrument List

          The instrument list is where you select and edit the samples used in
        the song. This is what a sample might look like:


                                            
                                             Test sample (plays note)
                                           Test sample with multiple
                                                 channels
                                      C4Spd, the frequency the
                                                  sample is played at C-4
                                    Default volume, the volume
                                                   used when none is given
                                 Sample type (Normal or FM)
     Name of sample
   Number of sample

          You can use the test sample and test sample with multiple channels
        fields for playing the sample with the keyboard. Pressing F8 will stop
        playing the sample. The subwindow on the right tells information about
        the current sample. This is an example window for the above sample:

         Instrument 03: sample        - Sampletype
                   
          Filename:ORGAN2           - Sample filename
              Loop:on               - Loop toggle
        Loop start:004700           - Starting point of loop
          Loop end:017250           - Ending point of loop
            Length:018542           - Length of sample
        UsedLength:000000           - How far the sample was played
                         in the song, works only on SB
        Segment:F007 Guspos:0346

          The available keys in the instrument list are:

        TAB       Switches between the main list and the subwindow.

        ALT-D     Deletes instrument from memory.

        ALT-O     Saves current instrument to disk. It will save to the
                current directory. The directory can be changed from F4, and
                I suggest using multiple directories, or you are going to get
                very confused. A header is saved with the sample also so that
                the loop, C4Spd and other data can easily be restored.

        ALT-M     Maximizes the volume of the sample like Digiplayer. It will
                warn if the change will affect the quality of the sample. Does
                not work with FM-sounds.

        ALT-X     Exchanges two samples in the instrument list. It doesn't
                change the patterns.

        ALT-S     Swaps two samples, both in the instrument list and the
                patterns.

        ALT-V     Displays the sample as a text file. Included for those who
                want to send their hellos etc. in the module by loading a text
                file as a sample.

        ENTER     Loads an instrument from the sample library. Pressing enter
                on the desired sample replaces the current one with it.

          The following commands only work when the cursor is on top of the
        C4Spd field:

        + -       Multiplies or divides the C4Spd by two. Useful if you want
                to hear a sound an octave higher / lower without having to
                touch the patterns.

        *         Resets the C4Spd value to 8363.

        /         Asks the note which you want to be played at C-4 and changes
                the C4Spd accordingly. Nice if you use samples that are
                digitized from varying pitches.

3.4 F4 - Instrument Library

          The instrument library is where you store your samples. The default
        instrument directory is <ST3 path>\I\. If you plan on making music and
        storing samples on your hard disk, it would be advisable to create
        several subdirectories under the main one. Here is an example:

                        C:\ST3\I\
                        C:\ST3\I\LEAD
                        C:\ST3\I\BASS
                        C:\ST3\I\DRUMS
                        C:\ST3\I\CHORDS
                        C:\ST3\I\EFFECTS
                        C:\ST3\I\SPEECH

          You can use a more complex one depending on how many samples you are
        going to be saving to the hard disk.
          Entering the instrument library happens from the instrument list. You
        can either press F4 or Enter in the instrument list. If you pressed
        enter, you can load a sample by pressing enter again on top of the
        sample you want to load. You can change the directory by either pressing
        enter on the directory you want to change to or by pressing ALT-G and
        typing the name of the drive and directory you want to change to.

3.5 F5 - Info Screen

          Here you can watch the song being played. If there is no other output
        (a sample playing, etc) when you press F5, the command acts like the
        global command shift-F5, play song. The available keys for the info
        screen are:

        ALT-S     Toggle stereo. Works like the stereo toggle discussed in
                section 3.1.3

        CTRL-T    Toggle trackmode. Changes between the 5, 8, and 18-channel
                track viewers. A global command.

        LEFT/     Scrolls the channels shown in the bottom infoscreen to the
        RIGHT   left and right.

        UP/DOWN   Changes the number of channels shown in the upper equalizers.

        PGUP/DN   Selects the bottominfo mode. Note that the ChannelScope and
                SOutputScope only work on SB cards because there is no actual
                mixing on the GUS card.

        + -       Change the order being played.

3.6 Global Commands

          In addition to the specific commands, there is a multitude of global
        commands that work everywhere in the tracker. They are:

        ESC       Brings up the main menu.

        F1        Changes to the order list and global variables menu.

        F2        Changes to the edit pattern mode.

        F3        Changes to the instrument list mode.

        F5        Changes to the info screen mode and starts playing the song
                if no other sound output is active.

        SH+F5     Plays song.

        F6        Plays current pattern.

        SH+F6     Starts playing the song from the current order.

        F7        Starts playing from mark. If no mark is set, starts playing
                from current cursor position.

        SH+F7     Sets / Clears mark. Sets a mark in the current position. If
                a mark already exits, it is cleared and F7 will function as
                play from cursor.

        F8        Stops playing song or voice.

        SH+F8     Re-loads instruments to GUS from memory.

        F9        Status screen. Displays information about the song.

        SH+F9     Changes to the setup screen. Discussed in section 2.5.

        F10       Pops up quickhelp.

        CTRL-R    Loads new module. The colors in the load module menu can
                be chosen from the commandline with the following parameters:

                -f0    All colors white
                -f1    .S3Ms green, .STMs brown, .MODs white, others yellow
                -f2    .S3Ms green, others white.
                -f3    .S3Ms and .STMs green, others white (default)

        CTRL-N    Clears current song.

        CTRL-W    Saves and prompts for a filename.

        CTRL-R    Quicksaves with the old filename.

        CTRL-D    Shells to DOS. If you experience troubles with this command,
                try using the commandline switch -l.

        CTRL-Q    Exits to DOS.

4. Miscellaneous

          This section is for those don't want to go through the trouble of
        reading the documentation. There are a couple of things that aren't
        in the quickhelps, though. On a GUS card, if your samples sound
        corrupted or just plain strange, it might be that they are loaded the
        wrong way into the GUS. Pressing shift+F8 should help. Also, you might
        be wondering where all those ########.ST3 files are coming from. They
        are just temporary files created by Scream Tracker to make loading
        samples faster. If you encounter them outside your instrument
        directories, feel free to delete them, they contain no important
        data.

4.1 Adlib FM-songs

          Scream Tracker 3 supports the FM chip on SB cards. You can use a GUS
        for normal samples and SB for the FM-sound simultaneously. You can enter
        FM-sounds by going to the sample type column in the instrument list and
        pressing A. You can then edit the FM parameters by pressing space on the
        Parameters in the subwindow. I will not describe the parameters in any
        detail, since there are lots of good books and text files on the
        subject. There is an example Adlib .S3M by Skaven included, from which
        you can rip the FM sounds (they can be saved as normal samples) to find
        out how they work. Also, when making Adlib songs, remember that pressing

4.2 Closing Words by Sami Tammilehto

          This program really was supposed to be out years ago, but too many
        other projects with more priority slowed its progress to practically
        nothing. For a long time the program was usable, but very far from
        bug free. Later on most bugs were found while the program was used
        for making music for Future Crew demos.
          The main reason I decided to finally release the Scream Tracker is
        that I convinced myself that it'll never be finished (in the way I
        originally dreamed). And since so many people have been asking for it
        and no other tracker with similar editing capabilites has appeared,
        a freeware release seemed as the easiest way of helping everybody
        (Hopefully I no longer have to answer questions like: When will ST3
        be released? :-)
          I'd like to thank Jonne Valtonen (PM/FC) and Peter Hajba (Skaven/FC)
        for extensive beta testing and Kalle Kaivola (Edge/Unexpected) for
        this excellent documentation and for helping me squeeze out the final
        (?) bugs.
          I really hope that you find this program useful. It certainly isn't
        the best or fastest player around, but the editing capabilities should
        make it a very useful utility for creating the modules.
          Ok, now it's time to forget this document and create the best tune
        anyone has ever heard anywhere! Good luck.













